package com.cf.imes.module.system.service.parser;


import com.cf.imes.module.system.controller.admin.parser.vo.ParserReqVO;
import com.cf.imes.module.system.controller.admin.parser.vo.ParserRespVO;
import com.cf.imes.module.system.controller.admin.parser.vo.ParserSimpleRespVO;

import java.util.List;
import java.util.Map;

/**
 * @author 解析器管理 Service 接口
 */
public interface ParserService {


    void update(ParserReqVO reqVO);


    Map<Integer, List<ParserRespVO>> getParserTree(Long type);


    Map<Integer, List<ParserSimpleRespVO>> getParserSimple(Long type);


    ParserRespVO getParser(Long id);




}

